using System;

namespace Petlja01
{
    class Program
    {
        static void Main(string[] args)
        {
            #region input
            char c1, c2;
            string puff;
            puff = Console.ReadLine();
            c1 = puff[0];
            c2 = puff[1];
            double a1, a2;
            puff = Console.ReadLine();

            string[] sub = puff.Split(' ',2) ;
            a1 = Convert.ToDouble(sub[0]);
            a2 = Convert.ToDouble(sub[1]);
            #endregion
            #region main & output
            if (a1 + 1 == a2 || a1 == a2 + 1 || a1 == a2)
            {
               if(a1 == a2)
                {
                    for(int i=0; i<Convert.ToInt32(a1+a2); i++)
                    {
                        if(i%2 == 0)
                        {
                            Console.Write(c1);
                        }
                        else
                        {
                            Console.Write(c2);
                        }    
                    }
                }
               else if(a1 + 1 == a2)
                {
                    for (int i = 0; i < Convert.ToInt32(a1 + a2); i++)
                    {
                        if (i % 2 == 0)
                        {
                            Console.Write(c2);
                        }
                        else
                        {
                            Console.Write(c1);
                        }
                    }
                }
               else
                {
                    for (int i = 0; i < Convert.ToInt32(a1 + a2); i++)
                    {
                        if (i % 2 == 0)
                        {
                            Console.Write(c1);
                        }
                        else
                        {
                            Console.Write(c2);
                        }
                    }
                }    
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
            #endregion
        }
    }
}